Skip to main content.
home | support | download

Back to List Archive

Re: Re: Error Condition Re: swish-e 1.2 backards compatiibility

From: Giulia Hill <ghill(at)not-real.library.berkeley.edu>
Date: Fri Oct 16 1998 - 21:47:15 GMT
yes, you need to reindex your site when you upgrade your swish-e version.

Giulia

On Thu, 15 Oct 1998, Andrew Cadman wrote:

> > Dear all,
> >
> > we have used swish-e 1.1 on our web site for some time successfully.
> > However, we recently expanded our operations to a new mirror site and
> > downloaded swish-e 1.2 and installed it successfully on the new site
> > (i.e. the test file
> > runs fine). Both the new and old sites are on Unix machines.
> >
> > Rather than having to reindex our databases, we simply transferred our
> > database index files we have made using 1.1 on our first site to the new
> >
> > site via FTP and then tries a few searches on these by using a modified
> > version of the test subroutine  in the MAKEFILE..
> >
> > However, on each occasion, we get the following results:
> >
> > % make test
> > ./swish-e -w london  -m 0 -f ../SwishIndexes/londonarts.swish
> > # SWISH format 1.2
> > err: the index file format is unknown
> >
> > My point is - is our problem (a) because some corruption is occurring in
> >
> > file transfer, which means our index file [in this case londonarts.swish] is
> > unrecognizable, or is it not possible to access indexes created using
> > 1.1
> > by 1.2?
> >
> > any help would be VERY greatly appreciated.
> >
> > many thanks
> >
> > Andrew Cadman
> > NetLondon webmaster
> 
> 

/* ----------------------------------------------------------- */
/*  Giulia Hill                        Library Systems Office  */
/*                                     386 Doe Library         */
/*  ghill@library.berkeley.edu         U.C. Berkeley,          */
/*                                     Berkeley, CA 94720      */
/* ----------------------------------------------------------- */
Received on Fri Oct 16 14:54:17 1998